Good afternoon,

Iím looking to buy a Kontrol S8 but currently have a 2009 iMac which I see is not supported by Traktor Pro 3.

My question is - if i buy the Kontrol S8, am I able to download the old Traktor Pro 2 instead of the new Pro 3? I used to have TSP2 some years ago when i had decks, but sold it a couple of years ago.

I donít want to spend money on a newer Mac when it works fine and would run Traktor 2 no problem.

Any advice would be appreciated.

Thanks

Dave